|  | Home · All Classes · Modules

# Phonon.BackendCapabilities Class Reference
[phonon module]

The BackendCapabilities namespace contains functions to describe the capabilities of the multimedia backend. More...

### Types

- class Notifier

### Static Methods

- unknown-type availableAudioCaptureDevices ()
- unknown-type availableAudioEffects ()
- unknown-type availableAudioOutputDevices ()
- QStringList availableMimeTypes ()
- bool isMimeTypeAvailable (QString mimeType)
- Notifier notifier ()

## Detailed Description

The BackendCapabilities namespace contains functions to describe the capabilities of the multimedia backend.

## Method Documentation

### unknown-type BackendCapabilities.availableAudioCaptureDevices ()

### unknown-type BackendCapabilities.availableAudioEffects ()

Returns descriptions for the audio effects the backend supports.

Returns A list of AudioEffectDescription objects that give a name and description for every supported audio effect.

### unknown-type BackendCapabilities.availableAudioOutputDevices ()

Returns the audio output devices the backend supports.

Returns A list of AudioOutputDevice objects that give a name and description for every supported audio output device.

### QStringList BackendCapabilities.availableMimeTypes ()

Returns a list of mime types that the Backend can decode.

See also isMimeTypeAvailable().

### bool BackendCapabilities.isMimeTypeAvailable (QString mimeType)

Often all you want to know is whether one given MIME type can be decoded by the backend. Use this method in favor of availableMimeTypes() as it can give you a negative answer without having a backend loaded.

Returns true if the given mimeType is supported by the backend; otherwise, returns false.

See also availableMimeTypes().

### Notifier BackendCapabilities.notifier ()

Use this function to get a QObject pointer to connect to the capabilitiesChanged signal.

Returns a pointer to a QObject.

The capabilitiesChanged signal is emitted if the capabilities have changed. This can happen if the user has requested a backend change.

To connect to this signal do the following:

     QObject.connect(BackendCapabilities.notifier(), SIGNAL(capabilitiesChanged()), ...

See also Notifier.capabilitiesChanged().